Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class GroupInfo

    java.lang.Object
      com.tibco.tibjms.admin.PrincipalInfo
          com.tibco.tibjms.admin.GroupInfo

    public class GroupInfo

extends PrincipalInfo

This class represents a group on the Tibjms server. A group can contain users (but not other groups) and can be a principal in access control.

Constructor Summary
`GroupInfo(java.lang.String groupName)` Public constructor to create a GroupInfo with no description.
`GroupInfo(java.lang.String groupName, java.lang.String description)` Public constructor to create a GroupInfo.

Method Summary
`UserInfo[]` | `getUsers()` Get the array of users that belong to this group.
`java.lang.String` | `toString()` Generate a string representation of this GroupInfo.

Methods inherited from class com.tibco.tibjms.admin.PrincipalInfo
`getDescription, getName, isExternal, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupInfo

    public GroupInfo(java.lang.String groupName,
                     java.lang.String description)

  Public constructor to create a GroupInfo. The group will not be created on the server until the GroupInfo is passed to TibjmsAdmin.createGroup().

  Parameters:
    `groupName` - the name of the new group.
    `description` - the description for the new group.

### GroupInfo

    public GroupInfo(java.lang.String groupName)

  Public constructor to create a GroupInfo with no description. The group will not be created on the server until the GroupInfo is passed to TibjmsAdmin.createGroup().

  Parameters:
    `groupName` - the name of the new group.

Method Detail

### getUsers

    public UserInfo[] getUsers()

  Get the array of users that belong to this group.

  Returns:
    the array of UserInfos that belong to this group.

### toString

    public java.lang.String toString()

  Generate a string representation of this GroupInfo.

  Overrides:
    `toString` in class `PrincipalInfo`
  Returns:
    a string representation of this GroupInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved